| axiethernet Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAxiEthernet_Config Struct Reference
Overview

This typedef contains configuration information for a Axi Ethernet device. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
UINTPTR | BaseAddress
    BaseAddress is the physical base address of the
device's registers More...
u8 | TemacType
| Temac Type can have 3 possible values. More...
u8 | TxCsum
| TxCsum indicates that the device has checksum offload on the Tx channel or not. More...
u8 | RxCsum
| RxCsum indicates that the device has checksum offload on the Rx channel or not. More...
u8 | PhyType
| PhyType indicates which type of PHY interface is used (MII, GMII, RGMII, etc. More...
u8 | TxVlanTran
| TX VLAN Translation indication. More...
u8 | RxVlanTran
| RX VLAN Translation indication. More...
u8 | TxVlanTag
| TX VLAN tagging indication. More...
u8 | RxVlanTag
| RX VLAN tagging indication. More...
u8 | TxVlanStrp
| TX VLAN stripping indication. More...
u8 | RxVlanStrp
| RX VLAN stripping indication. More...
u8 | ExtMcast
| Extend multicast indication. More...
u8 | Stats
| Statistics gathering option. More...
u8 | Avb
| Avb option. More...
u8 | EnableSgmiiOverLvds
| Enable LVDS option. More...
u8 | Enable_1588
| Enable 1588 option. More...
u32 | Speed
| Tells whether MAC is 1G or 2p5G. More...
u8 | NumTableEntries
| Number of table entries. More...
u8 | TemacIntr
| Axi Ethernet interrupt ID. More...
int | AxiDevType
| AxiDevType is the type of device attached to the Axi Ethernet's AXI4-Stream interface. More...
UINTPTR | AxiDevBaseAddress
    AxiDevBaseAddress is the base address of
the device attached to the Axi Ethernet's AXI4-Stream interface. More...
u8 | AxiFifoIntr
| AxiFifoIntr interrupt ID (unused if DMA) More...
u8 | AxiDmaRxIntr
| Axi DMA RX interrupt ID (unused if FIFO) More...
u8 | AxiDmaTxIntr
| Axi DMA TX interrupt ID (unused if FIFO) More...
u8 | AxiMcDmaChan_Cnt
| Axi MCDMA Channel Count. More...
u8 | AxiMcDmaRxIntr [16]
| Axi MCDMA Rx interrupt ID (unused if AXI DMA or FIFO) More...
u8 | AxiMcDmaTxIntr [16]
| AXI MCDMA TX interrupt ID (unused if AXIX DMA or FIFO) More...

## Detailed Description

This typedef contains configuration information for a Axi Ethernet device.

## Field Documentation

u8 XAxiEthernet_Config::Avb

Avb option.

UINTPTR XAxiEthernet_Config::AxiDevBaseAddress

    AxiDevBaseAddress is the base address of

the device attached to the Axi Ethernet's AXI4-Stream interface.

Referenced by AxiEthernetExtVlanExample(), AxiEthernetFifoIntrExample(), AxiEthernetMcastExample(), AxiEthernetPingReqExample(), AxiEthernetPolledExample(), AxiEthernetSgDmaIntrExample(), AxiEthernetSgDmaPollExample(), XAxiEthernet_CfgInitialize(), and XAxiEthernet_Initialize().

int XAxiEthernet_Config::AxiDevType

AxiDevType is the type of device attached to the Axi Ethernet's AXI4-Stream interface.

Referenced by AxiEthernetExtVlanExample(), AxiEthernetFifoIntrExample(), AxiEthernetMcastExample(), AxiEthernetPingReqExample(), AxiEthernetPolledExample(), AxiEthernetSgDmaIntrExample(), and AxiEthernetSgDmaPollExample().

u8 XAxiEthernet_Config::AxiDmaRxIntr

Axi DMA RX interrupt ID (unused if FIFO)

u8 XAxiEthernet_Config::AxiDmaTxIntr

Axi DMA TX interrupt ID (unused if FIFO)

u8 XAxiEthernet_Config::AxiFifoIntr

AxiFifoIntr interrupt ID (unused if DMA)

u8 XAxiEthernet_Config::AxiMcDmaChan_Cnt

Axi MCDMA Channel Count.

Referenced by AxiEthernetPingReqExample(), AxiEthernetSgDmaIntrExample(), and AxiEthernetSgDmaPollExample().

u8 XAxiEthernet_Config::AxiMcDmaRxIntr[16]

Axi MCDMA Rx interrupt ID (unused if AXI DMA or FIFO)

u8 XAxiEthernet_Config::AxiMcDmaTxIntr[16]

AXI MCDMA TX interrupt ID (unused if AXIX DMA or FIFO)

UINTPTR XAxiEthernet_Config::BaseAddress

    BaseAddress is the physical base address of the

device's registers

Referenced by AxiEthernetExtVlanExample(), AxiEthernetFifoIntrExample(), AxiEthernetMcastExample(), AxiEthernetPingReqExample(), AxiEthernetPolledExample(), AxiEthernetSgDmaIntrExample(), AxiEthernetSgDmaPollExample(), main(), XAxiEthernet_AddExtMulticastGroup(), XAxiEthernet_CfgInitialize(), XAxiEthernet_ClearBadFrmRcvOption(), XAxiEthernet_ClearExtMulticastGroup(), XAxiEthernet_ClearOptions(), XAxiEthernet_ClearTpid(), XAxiEthernet_DisableControlFrameLenCheck(), XAxiEthernet_DumpExtMulticastGroup(), XAxiEthernet_EnableControlFrameLenCheck(), XAxiEthernet_GetExtMulticastGroup(), XAxiEthernet_GetMacAddress(), XAxiEthernet_GetMacPauseAddress(), XAxiEthernet_GetOperatingSpeed(), XAxiEthernet_GetRgmiiStatus(), XAxiEthernet_GetSgmiiStatus(), XAxiEthernet_GetTpid(), XAxiEthernet_GetVidTable(), XAxiEthernet_GetVStripMode(), XAxiEthernet_GetVTagMode(), XAxiEthernet_GetVTagValue(), XAxiEthernet_Initialize(), XAxiEthernet_MulticastAdd(), XAxiEthernet_MulticastClear(), XAxiEthernet_MulticastGet(), XAxiEthernet_PhySetMdioDivisor(), XAxiEthernet_Reset(), XAxiEthernet_SendPausePacket(), XAxiEthernet_SetBadFrmRcvOption(), XAxiEthernet_SetMacAddress(), XAxiEthernet_SetMacPauseAddress(), XAxiEthernet_SetOperatingSpeed(), XAxiEthernet_SetOptions(), XAxiEthernet_SetTpid(), XAxiEthernet_SetVidTable(), XAxiEthernet_SetVStripMode(), XAxiEthernet_SetVTagMode(), XAxiEthernet_SetVTagValue(), XAxiEthernet_Start(), and XAxiEthernet_Stop().

u16 XAxiEthernet_Config::DeviceId

DeviceId is the unique ID of the device.

Referenced by main().

u8 XAxiEthernet_Config::Enable_1588

Enable 1588 option.

Referenced by AxiEthernetPingReqExample(), AxiEthernetSgDmaIntrExample(), and AxiEthernetSgDmaPollExample().

u8 XAxiEthernet_Config::EnableSgmiiOverLvds

Enable LVDS option.

u8 XAxiEthernet_Config::ExtMcast

Extend multicast indication.

u8 XAxiEthernet_Config::NumTableEntries

Number of table entries.

u8 XAxiEthernet_Config::PhyType

PhyType indicates which type of PHY interface is used (MII, GMII, RGMII, etc.

Referenced by XAxiEthernet_CfgInitialize().

u8 XAxiEthernet_Config::RxCsum

RxCsum indicates that the device has checksum offload on the Rx channel or not.

u8 XAxiEthernet_Config::RxVlanStrp

RX VLAN stripping indication.

u8 XAxiEthernet_Config::RxVlanTag

RX VLAN tagging indication.

u8 XAxiEthernet_Config::RxVlanTran

RX VLAN Translation indication.

u32 XAxiEthernet_Config::Speed

Tells whether MAC is 1G or 2p5G.

Referenced by AxiEthernetSgDmaIntrExample(), and AxiEthernetSgDmaPollExample().

u8 XAxiEthernet_Config::Stats

Statistics gathering option.

u8 XAxiEthernet_Config::TemacIntr

Axi Ethernet interrupt ID.

u8 XAxiEthernet_Config::TemacType

Temac Type can have 3 possible values.

They are 0 for SoftTemac at 10/100 Mbps, 1 for SoftTemac at 10/100/1000 Mbps and 2 for Vitex6 Hard Temac

u8 XAxiEthernet_Config::TxCsum

TxCsum indicates that the device has checksum offload on the Tx channel or not.

u8 XAxiEthernet_Config::TxVlanStrp

TX VLAN stripping indication.

u8 XAxiEthernet_Config::TxVlanTag

TX VLAN tagging indication.

u8 XAxiEthernet_Config::TxVlanTran

TX VLAN Translation indication.